# Notes

**CURRENTY NOT WORKING**

`git clone https://git.ittavern.com/CaffeineFueled/podman-grafana-loki-elastic.git` 

`cd podman-grafana-loki-elastic`

`podman kube play grafana-stack.yaml`

Taking it down
`podman kube down grafana-stack.yaml`

> Note: not ready for production!


# Configuration
## Endpoint

**Grafana**

`localhost:3000` # web interface

**Loki**

`localhost:3100` # default port for client communication

**Elastic**

`localhost:9200` # default HTTP port for client communication + REST API

`localhost:9300` # default transport port for node-to-node communication

## Auth

Open Grafana, default creds are `admin`/`admin`.

## Data Source
Add Loki as data source `localhost:3100` to display them in grafana

# Changelog

from initial project

- Removed Tempo/Mimir
- Loki Config `loki-local-config.yaml`
    - `store: boltdb-shipper` > `store: tsdb`
    - `schema: v11` > `schema: v13`

# Links

[Initial Article](https://grafana.com/blog/2022/09/08/how-to-deploy-the-grafana-stack-using-podman/)

[Initial Repo](https://github.com/CastawayEGR/grafana-stack-podman)

[Elastic Default Configruation Files](https://github.com/elastic/elasticsearch/tree/main/distribution/src/config)

# TODO

- [ ] Authentication for Loki
- [ ] Authentication for Elastic
- [ ] Docs for '[production settings](https://www.elastic.co/guide/en/elasticsearch/reference/7.5/system-config.html)' in Elastic
- [ ] what ports are really needed?
